OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
MgtTopoDS

# MgtTopoDS Class Reference

The package MgtTopoDS provides methods to store
and retrieve Topological Data Structure objects
from the Database.
The objects are translated between a transient
topology and a persitent topology.
* The TopoDS package describes the transient
topology.
* The PTopoDS package describes the persistent
topology.
As the topological data structure may be completed
by inheritance the MgtTopoDS package provides a
mechanism to support the translation of inherited
data structure. This mechanism is supported by the
TranslateTool class.
An error is raised if the TranslateTool does not
match with the DataStructure to translate. This
check is done with the type of the Model.
This package does not provides methods to
translate directly Shapes from TopoDS and PTopoDS
because the data structures are deferred. It
provides methods to support the implementation of
Translate methods in the inherited DataStructures.
In an inherited data structure the Translate
method must :
* Create a TranslateTool of the correct type.
* Call the Translate method of MgtTopoDS with this
Tool.
.

`#include <MgtTopoDS.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_PTopoDS_HShape | Translate (const TopoDS_Shape &S, const Handle(MgtTopoDS_TranslateTool)&T, PTColStd_TransientPersistentMap &M)
| Translates a Transient Shape onto a Persistent Shape .
static Standard_EXPORT void | Translate (const Handle(PTopoDS_HShape)&S, const Handle(MgtTopoDS_TranslateTool)&T, PTColStd_PersistentTransientMap &M, TopoDS_Shape &Sh)
| Translates a Persistent Shape onto a Transient Shape .
static Standard_EXPORT void | Translate1 (const TopoDS_Shape &aShape, const Handle(MgtTopoDS_TranslateTool1)&T, PTColStd_TransientPersistentMap &M, PTopoDS_Shape1 &aPShape)
| Translates a Transient Shape onto a Persistent Shape .
static Standard_EXPORT void | Translate1 (const PTopoDS_Shape1 &aPShape, const Handle(MgtTopoDS_TranslateTool1)&T, PTColStd_PersistentTransientMap &M, TopoDS_Shape &aShape)
| Translates a Persistent Shape onto a Transient Shape .

## Member Function Documentation

void MgtTopoDS::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MgtTopoDS::operator new | ( | size_t | size | ) | `[inline]`

void* MgtTopoDS::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void MgtTopoDS::Translate | ( | const Handle(PTopoDS_HShape)& | S,
|  | const Handle(MgtTopoDS_TranslateTool)& | T,
|  | PTColStd_PersistentTransientMap & | M,
|  | TopoDS_Shape & | Sh
| ) | `[static]`

static Standard_EXPORT Handle_PTopoDS_HShape MgtTopoDS::Translate | ( | const TopoDS_Shape & | S,
|  | const Handle(MgtTopoDS_TranslateTool)& | T,
|  | PTColStd_TransientPersistentMap & | M
| ) | `[static]`

static Standard_EXPORT void MgtTopoDS::Translate1 | ( | const PTopoDS_Shape1 & | aPShape,
|  | const Handle(MgtTopoDS_TranslateTool1)& | T,
|  | PTColStd_PersistentTransientMap & | M,
|  | TopoDS_Shape & | aShape
| ) | `[static]`

static Standard_EXPORT void MgtTopoDS::Translate1 | ( | const TopoDS_Shape & | aShape,
|  | const Handle(MgtTopoDS_TranslateTool1)& | T,
|  | PTColStd_TransientPersistentMap & | M,
|  | PTopoDS_Shape1 & | aPShape
| ) | `[static]`

The documentation for this class was generated from the following file:

- MgtTopoDS.hxx